summaryrefslogtreecommitdiffstats
path: root/recipes-containers/lxc/files/templates-use-curl-instead-of-wget.patch
diff options
context:
space:
mode:
Diffstat (limited to 'recipes-containers/lxc/files/templates-use-curl-instead-of-wget.patch')
-rw-r--r--recipes-containers/lxc/files/templates-use-curl-instead-of-wget.patch26
1 files changed, 12 insertions, 14 deletions
diff --git a/recipes-containers/lxc/files/templates-use-curl-instead-of-wget.patch b/recipes-containers/lxc/files/templates-use-curl-instead-of-wget.patch
index 4556293a..f06e5969 100644
--- a/recipes-containers/lxc/files/templates-use-curl-instead-of-wget.patch
+++ b/recipes-containers/lxc/files/templates-use-curl-instead-of-wget.patch
@@ -12,11 +12,11 @@ Signed-off-by: Yanfei Xu <yanfei.xu@windriver.com>
12 templates/lxc-download.in | 10 +++++----- 12 templates/lxc-download.in | 10 +++++-----
13 1 file changed, 5 insertions(+), 5 deletions(-) 13 1 file changed, 5 insertions(+), 5 deletions(-)
14 14
15diff --git a/templates/lxc-download.in b/templates/lxc-download.in 15Index: git/templates/lxc-download.in
16index e8570692a..f7291b0cc 100755 16===================================================================
17--- a/templates/lxc-download.in 17--- git.orig/templates/lxc-download.in
18+++ b/templates/lxc-download.in 18+++ git/templates/lxc-download.in
19@@ -75,9 +75,9 @@ cleanup() { 19@@ -59,9 +59,9 @@
20 fi 20 fi
21 } 21 }
22 22
@@ -28,18 +28,19 @@ index e8570692a..f7291b0cc 100755
28 return 0 28 return 0
29 fi 29 fi
30 done 30 done
31@@ -86,8 +86,8 @@ wget_wrapper() { 31@@ -70,8 +70,9 @@
32 } 32 }
33 33
34 download_file() { 34 download_file() {
35- if ! wget_wrapper --user-agent="lxc/@PACKAGE_VERSION@ compat:${DOWNLOAD_COMPAT_LEVEL}" -T 30 -q "https://${DOWNLOAD_SERVER}/$1" -O "$2" >/dev/null 2>&1; then 35- if ! wget_wrapper --user-agent="lxc/@PACKAGE_VERSION@ compat:${DOWNLOAD_COMPAT_LEVEL}" -T 30 -q "https://${DOWNLOAD_SERVER}/$1" -O "$2" >/dev/null 2>&1; then
36- if ! wget_wrapper --user-agent="lxc/@PACKAGE_VERSION@ compat:${DOWNLOAD_COMPAT_LEVEL}" -T 30 -q "http://${DOWNLOAD_SERVER}/$1" -O "$2" >/dev/null 2>&1; then 36- if [ "$3" = "noexit" ]; then
37+ if ! curl_wrapper --user-agent="lxc/@PACKAGE_VERSION@ compat:${DOWNLOAD_COMPAT_LEVEL}" -m 30 -s "https://${DOWNLOAD_SERVER}/$1" -o "$2" >/dev/null 2>&1; then 37+ if ! curl_wrapper --user-agent="lxc/@PACKAGE_VERSION@ compat:${DOWNLOAD_COMPAT_LEVEL}" -m 30 -s "https://${DOWNLOAD_SERVER}/$1" -o "$2" >/dev/null 2>&1; then
38+ if ! curl_wrapper --user-agent="lxc/@PACKAGE_VERSION@ compat:${DOWNLOAD_COMPAT_LEVEL}" -m 30 -s "http://${DOWNLOAD_SERVER}/$1" -o "$2" >/dev/null 2>&1; then 38+ if ! curl_wrapper --user-agent="lxc/@PACKAGE_VERSION@ compat:${DOWNLOAD_COMPAT_LEVEL}" -m 30 -s "http://${DOWNLOAD_SERVER}/$1" -o "$2" >/dev/null 2>&1; then
39 if [ "$3" = "noexit" ]; then 39+ if [ "$3" = "noexit" ]; then
40 return 1 40 return 1
41 else 41 else
42@@ -277,7 +277,7 @@ while :; do 42 echo "ERROR: Failed to download https://${DOWNLOAD_SERVER}/$1" 1>&2
43@@ -176,7 +177,7 @@
43 done 44 done
44 45
45 # Check for required binaries 46 # Check for required binaries
@@ -48,6 +49,3 @@ index e8570692a..f7291b0cc 100755
48 if ! command -V "${bin}" >/dev/null 2>&1; then 49 if ! command -V "${bin}" >/dev/null 2>&1; then
49 echo "ERROR: Missing required tool: ${bin}" 1>&2 50 echo "ERROR: Missing required tool: ${bin}" 1>&2
50 exit 1 51 exit 1
51--
522.27.0
53